summaryrefslogtreecommitdiffstats
path: root/share/tests/libc-str-cpy-stp/stpe/005/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'share/tests/libc-str-cpy-stp/stpe/005/test.sh')
-rwxr-xr-xshare/tests/libc-str-cpy-stp/stpe/005/test.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/share/tests/libc-str-cpy-stp/stpe/005/test.sh b/share/tests/libc-str-cpy-stp/stpe/005/test.sh
new file mode 100755
index 0000000..1cadf3a
--- /dev/null
+++ b/share/tests/libc-str-cpy-stp/stpe/005/test.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+
+set -Eefuo pipefail;
+shopt -s lastpipe;
+
+
+./test \
+| if ! grep -q '^Truncated:$'; then
+ >&2 ./test;
+ exit 2;
+fi;
+
+
+./test \
+| if ! grep -q '^0: $'; then
+ >&2 ./test;
+ exit 3;
+fi;